Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::LangModEdge Class Reference

`#include <lang_mod_edge.h>`

Inheritance diagram for tesseract::LangModEdge:

List of all members.

## Public Member Functions

| LangModEdge ()
virtual | ~LangModEdge ()
virtual const char_32 * | EdgeString () const =0
virtual int | ClassID () const =0
virtual bool | IsRoot () const =0
virtual void | SetRoot (bool flag)=0
virtual bool | IsEOW () const =0
virtual bool | IsOOD () const =0
virtual bool | IsTerminal () const =0
virtual unsigned int | Hash () const =0
virtual bool | IsIdentical (LangModEdge *edge) const =0
virtual char * | Description () const =0
virtual int | PathCost () const =0

## Detailed Description

Definition at line 43 of file lang_mod_edge.h.

## Constructor & Destructor Documentation

tesseract::LangModEdge::LangModEdge | ( |  | ) |

inline

Definition at line 45 of file lang_mod_edge.h.

{}

virtual tesseract::LangModEdge::~LangModEdge | ( |  | ) |

inlinevirtual

Definition at line 46 of file lang_mod_edge.h.

{}

## Member Function Documentation

virtual int tesseract::LangModEdge::ClassID | ( |  | ) | const

pure virtual

Implemented in tesseract::TessLangModEdge.

virtual char* tesseract::LangModEdge::Description | ( |  | ) | const

pure virtual

Implemented in tesseract::TessLangModEdge.

virtual const char_32* tesseract::LangModEdge::EdgeString | ( |  | ) | const

pure virtual

Implemented in tesseract::TessLangModEdge.

virtual unsigned int tesseract::LangModEdge::Hash | ( |  | ) | const

pure virtual

Implemented in tesseract::TessLangModEdge.

virtual bool tesseract::LangModEdge::IsEOW | ( |  | ) | const

pure virtual

Implemented in tesseract::TessLangModEdge.

virtual bool tesseract::LangModEdge::IsIdentical | ( | LangModEdge * | edge | ) | const

pure virtual

Implemented in tesseract::TessLangModEdge.

virtual bool tesseract::LangModEdge::IsOOD | ( |  | ) | const

pure virtual

Implemented in tesseract::TessLangModEdge.

virtual bool tesseract::LangModEdge::IsRoot | ( |  | ) | const

pure virtual

Implemented in tesseract::TessLangModEdge.

virtual bool tesseract::LangModEdge::IsTerminal | ( |  | ) | const

pure virtual

Implemented in tesseract::TessLangModEdge.

virtual int tesseract::LangModEdge::PathCost | ( |  | ) | const

pure virtual

Implemented in tesseract::TessLangModEdge.

virtual void tesseract::LangModEdge::SetRoot | ( | bool | flag | ) |

pure virtual

Implemented in tesseract::TessLangModEdge.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/cube/lang_mod_edge.h